use apk_frauder::ZipFileReader;
//use std::collections::HashMap;
//use std::env;
use std::fs::File;
//use std::io::Cursor;

fn main() {
    /*
    apk_frauder::replace_dex(
        "app-release.apk",
        "app-instrumented.apk",
        &mut [File::open("classes.dex").expect("failed to open file")],
        "my-release-key.jks",
        Some(&format!(
            "{}/Android/Sdk/build-tools/34.0.0/zipalign",
            env::var("HOME").expect("$HOME not set")
        )),
        Some(&format!(
            "{}/Android/Sdk/build-tools/34.0.0/apksigner",
            env::var("HOME").expect("$HOME not set")
        )),
        None::<HashMap<String, Option<Cursor<&[u8]>>>>,
    );*/
    let file = File::open("zagruski.apk").unwrap();
    let reader = ZipFileReader::new(file);
    println!("{:#?}", &reader.files[..2]);
}
